Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network48.167.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
48.167.0.0
Broadcast address
48.167.255.255
First usable
48.167.0.1
Last usable
48.167.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
A (default /8)
As numbers
Hex 30A70000 · Integer 816250880 to 816316415
Reverse DNS zone
167.48.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00110000.10100111..00000000.0000000048.167.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network00110000.10100111..00000000.0000000048.167.0.0
Broadcast00110000.10100111..11111111.1111111148.167.255.255
Split into smaller subnets/24

48.167.0.0/16 makes 256 subnets of /24.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
148.167.0.0/2448.167.0.1 to 48.167.0.25448.167.0.255254
248.167.1.0/2448.167.1.1 to 48.167.1.25448.167.1.255254
348.167.2.0/2448.167.2.1 to 48.167.2.25448.167.2.255254
448.167.3.0/2448.167.3.1 to 48.167.3.25448.167.3.255254
548.167.4.0/2448.167.4.1 to 48.167.4.25448.167.4.255254
648.167.5.0/2448.167.5.1 to 48.167.5.25448.167.5.255254
748.167.6.0/2448.167.6.1 to 48.167.6.25448.167.6.255254
848.167.7.0/2448.167.7.1 to 48.167.7.25448.167.7.255254
948.167.8.0/2448.167.8.1 to 48.167.8.25448.167.8.255254
1048.167.9.0/2448.167.9.1 to 48.167.9.25448.167.9.255254
1148.167.10.0/2448.167.10.1 to 48.167.10.25448.167.10.255254
1248.167.11.0/2448.167.11.1 to 48.167.11.25448.167.11.255254
1348.167.12.0/2448.167.12.1 to 48.167.12.25448.167.12.255254
1448.167.13.0/2448.167.13.1 to 48.167.13.25448.167.13.255254
1548.167.14.0/2448.167.14.1 to 48.167.14.25448.167.14.255254
1648.167.15.0/2448.167.15.1 to 48.167.15.25448.167.15.255254
1748.167.16.0/2448.167.16.1 to 48.167.16.25448.167.16.255254
1848.167.17.0/2448.167.17.1 to 48.167.17.25448.167.17.255254
1948.167.18.0/2448.167.18.1 to 48.167.18.25448.167.18.255254
2048.167.19.0/2448.167.19.1 to 48.167.19.25448.167.19.255254
2148.167.20.0/2448.167.20.1 to 48.167.20.25448.167.20.255254
2248.167.21.0/2448.167.21.1 to 48.167.21.25448.167.21.255254
2348.167.22.0/2448.167.22.1 to 48.167.22.25448.167.22.255254
2448.167.23.0/2448.167.23.1 to 48.167.23.25448.167.23.255254
2548.167.24.0/2448.167.24.1 to 48.167.24.25448.167.24.255254
2648.167.25.0/2448.167.25.1 to 48.167.25.25448.167.25.255254
2748.167.26.0/2448.167.26.1 to 48.167.26.25448.167.26.255254
2848.167.27.0/2448.167.27.1 to 48.167.27.25448.167.27.255254
2948.167.28.0/2448.167.28.1 to 48.167.28.25448.167.28.255254
3048.167.29.0/2448.167.29.1 to 48.167.29.25448.167.29.255254
3148.167.30.0/2448.167.30.1 to 48.167.30.25448.167.30.255254
3248.167.31.0/2448.167.31.1 to 48.167.31.25448.167.31.255254
3348.167.32.0/2448.167.32.1 to 48.167.32.25448.167.32.255254
3448.167.33.0/2448.167.33.1 to 48.167.33.25448.167.33.255254
3548.167.34.0/2448.167.34.1 to 48.167.34.25448.167.34.255254
3648.167.35.0/2448.167.35.1 to 48.167.35.25448.167.35.255254
3748.167.36.0/2448.167.36.1 to 48.167.36.25448.167.36.255254
3848.167.37.0/2448.167.37.1 to 48.167.37.25448.167.37.255254
3948.167.38.0/2448.167.38.1 to 48.167.38.25448.167.38.255254
4048.167.39.0/2448.167.39.1 to 48.167.39.25448.167.39.255254
4148.167.40.0/2448.167.40.1 to 48.167.40.25448.167.40.255254
4248.167.41.0/2448.167.41.1 to 48.167.41.25448.167.41.255254
4348.167.42.0/2448.167.42.1 to 48.167.42.25448.167.42.255254
4448.167.43.0/2448.167.43.1 to 48.167.43.25448.167.43.255254
4548.167.44.0/2448.167.44.1 to 48.167.44.25448.167.44.255254
4648.167.45.0/2448.167.45.1 to 48.167.45.25448.167.45.255254
4748.167.46.0/2448.167.46.1 to 48.167.46.25448.167.46.255254
4848.167.47.0/2448.167.47.1 to 48.167.47.25448.167.47.255254
4948.167.48.0/2448.167.48.1 to 48.167.48.25448.167.48.255254
5048.167.49.0/2448.167.49.1 to 48.167.49.25448.167.49.255254
5148.167.50.0/2448.167.50.1 to 48.167.50.25448.167.50.255254
5248.167.51.0/2448.167.51.1 to 48.167.51.25448.167.51.255254
5348.167.52.0/2448.167.52.1 to 48.167.52.25448.167.52.255254
5448.167.53.0/2448.167.53.1 to 48.167.53.25448.167.53.255254
5548.167.54.0/2448.167.54.1 to 48.167.54.25448.167.54.255254
5648.167.55.0/2448.167.55.1 to 48.167.55.25448.167.55.255254
5748.167.56.0/2448.167.56.1 to 48.167.56.25448.167.56.255254
5848.167.57.0/2448.167.57.1 to 48.167.57.25448.167.57.255254
5948.167.58.0/2448.167.58.1 to 48.167.58.25448.167.58.255254
6048.167.59.0/2448.167.59.1 to 48.167.59.25448.167.59.255254
6148.167.60.0/2448.167.60.1 to 48.167.60.25448.167.60.255254
6248.167.61.0/2448.167.61.1 to 48.167.61.25448.167.61.255254
6348.167.62.0/2448.167.62.1 to 48.167.62.25448.167.62.255254
6448.167.63.0/2448.167.63.1 to 48.167.63.25448.167.63.255254
6548.167.64.0/2448.167.64.1 to 48.167.64.25448.167.64.255254
6648.167.65.0/2448.167.65.1 to 48.167.65.25448.167.65.255254
6748.167.66.0/2448.167.66.1 to 48.167.66.25448.167.66.255254
6848.167.67.0/2448.167.67.1 to 48.167.67.25448.167.67.255254
6948.167.68.0/2448.167.68.1 to 48.167.68.25448.167.68.255254
7048.167.69.0/2448.167.69.1 to 48.167.69.25448.167.69.255254
7148.167.70.0/2448.167.70.1 to 48.167.70.25448.167.70.255254
7248.167.71.0/2448.167.71.1 to 48.167.71.25448.167.71.255254
7348.167.72.0/2448.167.72.1 to 48.167.72.25448.167.72.255254
7448.167.73.0/2448.167.73.1 to 48.167.73.25448.167.73.255254
7548.167.74.0/2448.167.74.1 to 48.167.74.25448.167.74.255254
7648.167.75.0/2448.167.75.1 to 48.167.75.25448.167.75.255254
7748.167.76.0/2448.167.76.1 to 48.167.76.25448.167.76.255254
7848.167.77.0/2448.167.77.1 to 48.167.77.25448.167.77.255254
7948.167.78.0/2448.167.78.1 to 48.167.78.25448.167.78.255254
8048.167.79.0/2448.167.79.1 to 48.167.79.25448.167.79.255254
8148.167.80.0/2448.167.80.1 to 48.167.80.25448.167.80.255254
8248.167.81.0/2448.167.81.1 to 48.167.81.25448.167.81.255254
8348.167.82.0/2448.167.82.1 to 48.167.82.25448.167.82.255254
8448.167.83.0/2448.167.83.1 to 48.167.83.25448.167.83.255254
8548.167.84.0/2448.167.84.1 to 48.167.84.25448.167.84.255254
8648.167.85.0/2448.167.85.1 to 48.167.85.25448.167.85.255254
8748.167.86.0/2448.167.86.1 to 48.167.86.25448.167.86.255254
8848.167.87.0/2448.167.87.1 to 48.167.87.25448.167.87.255254
8948.167.88.0/2448.167.88.1 to 48.167.88.25448.167.88.255254
9048.167.89.0/2448.167.89.1 to 48.167.89.25448.167.89.255254
9148.167.90.0/2448.167.90.1 to 48.167.90.25448.167.90.255254
9248.167.91.0/2448.167.91.1 to 48.167.91.25448.167.91.255254
9348.167.92.0/2448.167.92.1 to 48.167.92.25448.167.92.255254
9448.167.93.0/2448.167.93.1 to 48.167.93.25448.167.93.255254
9548.167.94.0/2448.167.94.1 to 48.167.94.25448.167.94.255254
9648.167.95.0/2448.167.95.1 to 48.167.95.25448.167.95.255254
9748.167.96.0/2448.167.96.1 to 48.167.96.25448.167.96.255254
9848.167.97.0/2448.167.97.1 to 48.167.97.25448.167.97.255254
9948.167.98.0/2448.167.98.1 to 48.167.98.25448.167.98.255254
10048.167.99.0/2448.167.99.1 to 48.167.99.25448.167.99.255254
10148.167.100.0/2448.167.100.1 to 48.167.100.25448.167.100.255254
10248.167.101.0/2448.167.101.1 to 48.167.101.25448.167.101.255254
10348.167.102.0/2448.167.102.1 to 48.167.102.25448.167.102.255254
10448.167.103.0/2448.167.103.1 to 48.167.103.25448.167.103.255254
10548.167.104.0/2448.167.104.1 to 48.167.104.25448.167.104.255254
10648.167.105.0/2448.167.105.1 to 48.167.105.25448.167.105.255254
10748.167.106.0/2448.167.106.1 to 48.167.106.25448.167.106.255254
10848.167.107.0/2448.167.107.1 to 48.167.107.25448.167.107.255254
10948.167.108.0/2448.167.108.1 to 48.167.108.25448.167.108.255254
11048.167.109.0/2448.167.109.1 to 48.167.109.25448.167.109.255254
11148.167.110.0/2448.167.110.1 to 48.167.110.25448.167.110.255254
11248.167.111.0/2448.167.111.1 to 48.167.111.25448.167.111.255254
11348.167.112.0/2448.167.112.1 to 48.167.112.25448.167.112.255254
11448.167.113.0/2448.167.113.1 to 48.167.113.25448.167.113.255254
11548.167.114.0/2448.167.114.1 to 48.167.114.25448.167.114.255254
11648.167.115.0/2448.167.115.1 to 48.167.115.25448.167.115.255254
11748.167.116.0/2448.167.116.1 to 48.167.116.25448.167.116.255254
11848.167.117.0/2448.167.117.1 to 48.167.117.25448.167.117.255254
11948.167.118.0/2448.167.118.1 to 48.167.118.25448.167.118.255254
12048.167.119.0/2448.167.119.1 to 48.167.119.25448.167.119.255254
12148.167.120.0/2448.167.120.1 to 48.167.120.25448.167.120.255254
12248.167.121.0/2448.167.121.1 to 48.167.121.25448.167.121.255254
12348.167.122.0/2448.167.122.1 to 48.167.122.25448.167.122.255254
12448.167.123.0/2448.167.123.1 to 48.167.123.25448.167.123.255254
12548.167.124.0/2448.167.124.1 to 48.167.124.25448.167.124.255254
12648.167.125.0/2448.167.125.1 to 48.167.125.25448.167.125.255254
12748.167.126.0/2448.167.126.1 to 48.167.126.25448.167.126.255254
12848.167.127.0/2448.167.127.1 to 48.167.127.25448.167.127.255254
12948.167.128.0/2448.167.128.1 to 48.167.128.25448.167.128.255254
13048.167.129.0/2448.167.129.1 to 48.167.129.25448.167.129.255254
13148.167.130.0/2448.167.130.1 to 48.167.130.25448.167.130.255254
13248.167.131.0/2448.167.131.1 to 48.167.131.25448.167.131.255254
13348.167.132.0/2448.167.132.1 to 48.167.132.25448.167.132.255254
13448.167.133.0/2448.167.133.1 to 48.167.133.25448.167.133.255254
13548.167.134.0/2448.167.134.1 to 48.167.134.25448.167.134.255254
13648.167.135.0/2448.167.135.1 to 48.167.135.25448.167.135.255254
13748.167.136.0/2448.167.136.1 to 48.167.136.25448.167.136.255254
13848.167.137.0/2448.167.137.1 to 48.167.137.25448.167.137.255254
13948.167.138.0/2448.167.138.1 to 48.167.138.25448.167.138.255254
14048.167.139.0/2448.167.139.1 to 48.167.139.25448.167.139.255254
14148.167.140.0/2448.167.140.1 to 48.167.140.25448.167.140.255254
14248.167.141.0/2448.167.141.1 to 48.167.141.25448.167.141.255254
14348.167.142.0/2448.167.142.1 to 48.167.142.25448.167.142.255254
14448.167.143.0/2448.167.143.1 to 48.167.143.25448.167.143.255254
14548.167.144.0/2448.167.144.1 to 48.167.144.25448.167.144.255254
14648.167.145.0/2448.167.145.1 to 48.167.145.25448.167.145.255254
14748.167.146.0/2448.167.146.1 to 48.167.146.25448.167.146.255254
14848.167.147.0/2448.167.147.1 to 48.167.147.25448.167.147.255254
14948.167.148.0/2448.167.148.1 to 48.167.148.25448.167.148.255254
15048.167.149.0/2448.167.149.1 to 48.167.149.25448.167.149.255254
15148.167.150.0/2448.167.150.1 to 48.167.150.25448.167.150.255254
15248.167.151.0/2448.167.151.1 to 48.167.151.25448.167.151.255254
15348.167.152.0/2448.167.152.1 to 48.167.152.25448.167.152.255254
15448.167.153.0/2448.167.153.1 to 48.167.153.25448.167.153.255254
15548.167.154.0/2448.167.154.1 to 48.167.154.25448.167.154.255254
15648.167.155.0/2448.167.155.1 to 48.167.155.25448.167.155.255254
15748.167.156.0/2448.167.156.1 to 48.167.156.25448.167.156.255254
15848.167.157.0/2448.167.157.1 to 48.167.157.25448.167.157.255254
15948.167.158.0/2448.167.158.1 to 48.167.158.25448.167.158.255254
16048.167.159.0/2448.167.159.1 to 48.167.159.25448.167.159.255254
16148.167.160.0/2448.167.160.1 to 48.167.160.25448.167.160.255254
16248.167.161.0/2448.167.161.1 to 48.167.161.25448.167.161.255254
16348.167.162.0/2448.167.162.1 to 48.167.162.25448.167.162.255254
16448.167.163.0/2448.167.163.1 to 48.167.163.25448.167.163.255254
16548.167.164.0/2448.167.164.1 to 48.167.164.25448.167.164.255254
16648.167.165.0/2448.167.165.1 to 48.167.165.25448.167.165.255254
16748.167.166.0/2448.167.166.1 to 48.167.166.25448.167.166.255254
16848.167.167.0/2448.167.167.1 to 48.167.167.25448.167.167.255254
16948.167.168.0/2448.167.168.1 to 48.167.168.25448.167.168.255254
17048.167.169.0/2448.167.169.1 to 48.167.169.25448.167.169.255254
17148.167.170.0/2448.167.170.1 to 48.167.170.25448.167.170.255254
17248.167.171.0/2448.167.171.1 to 48.167.171.25448.167.171.255254
17348.167.172.0/2448.167.172.1 to 48.167.172.25448.167.172.255254
17448.167.173.0/2448.167.173.1 to 48.167.173.25448.167.173.255254
17548.167.174.0/2448.167.174.1 to 48.167.174.25448.167.174.255254
17648.167.175.0/2448.167.175.1 to 48.167.175.25448.167.175.255254
17748.167.176.0/2448.167.176.1 to 48.167.176.25448.167.176.255254
17848.167.177.0/2448.167.177.1 to 48.167.177.25448.167.177.255254
17948.167.178.0/2448.167.178.1 to 48.167.178.25448.167.178.255254
18048.167.179.0/2448.167.179.1 to 48.167.179.25448.167.179.255254
18148.167.180.0/2448.167.180.1 to 48.167.180.25448.167.180.255254
18248.167.181.0/2448.167.181.1 to 48.167.181.25448.167.181.255254
18348.167.182.0/2448.167.182.1 to 48.167.182.25448.167.182.255254
18448.167.183.0/2448.167.183.1 to 48.167.183.25448.167.183.255254
18548.167.184.0/2448.167.184.1 to 48.167.184.25448.167.184.255254
18648.167.185.0/2448.167.185.1 to 48.167.185.25448.167.185.255254
18748.167.186.0/2448.167.186.1 to 48.167.186.25448.167.186.255254
18848.167.187.0/2448.167.187.1 to 48.167.187.25448.167.187.255254
18948.167.188.0/2448.167.188.1 to 48.167.188.25448.167.188.255254
19048.167.189.0/2448.167.189.1 to 48.167.189.25448.167.189.255254
19148.167.190.0/2448.167.190.1 to 48.167.190.25448.167.190.255254
19248.167.191.0/2448.167.191.1 to 48.167.191.25448.167.191.255254
19348.167.192.0/2448.167.192.1 to 48.167.192.25448.167.192.255254
19448.167.193.0/2448.167.193.1 to 48.167.193.25448.167.193.255254
19548.167.194.0/2448.167.194.1 to 48.167.194.25448.167.194.255254
19648.167.195.0/2448.167.195.1 to 48.167.195.25448.167.195.255254
19748.167.196.0/2448.167.196.1 to 48.167.196.25448.167.196.255254
19848.167.197.0/2448.167.197.1 to 48.167.197.25448.167.197.255254
19948.167.198.0/2448.167.198.1 to 48.167.198.25448.167.198.255254
20048.167.199.0/2448.167.199.1 to 48.167.199.25448.167.199.255254
20148.167.200.0/2448.167.200.1 to 48.167.200.25448.167.200.255254
20248.167.201.0/2448.167.201.1 to 48.167.201.25448.167.201.255254
20348.167.202.0/2448.167.202.1 to 48.167.202.25448.167.202.255254
20448.167.203.0/2448.167.203.1 to 48.167.203.25448.167.203.255254
20548.167.204.0/2448.167.204.1 to 48.167.204.25448.167.204.255254
20648.167.205.0/2448.167.205.1 to 48.167.205.25448.167.205.255254
20748.167.206.0/2448.167.206.1 to 48.167.206.25448.167.206.255254
20848.167.207.0/2448.167.207.1 to 48.167.207.25448.167.207.255254
20948.167.208.0/2448.167.208.1 to 48.167.208.25448.167.208.255254
21048.167.209.0/2448.167.209.1 to 48.167.209.25448.167.209.255254
21148.167.210.0/2448.167.210.1 to 48.167.210.25448.167.210.255254
21248.167.211.0/2448.167.211.1 to 48.167.211.25448.167.211.255254
21348.167.212.0/2448.167.212.1 to 48.167.212.25448.167.212.255254
21448.167.213.0/2448.167.213.1 to 48.167.213.25448.167.213.255254
21548.167.214.0/2448.167.214.1 to 48.167.214.25448.167.214.255254
21648.167.215.0/2448.167.215.1 to 48.167.215.25448.167.215.255254
21748.167.216.0/2448.167.216.1 to 48.167.216.25448.167.216.255254
21848.167.217.0/2448.167.217.1 to 48.167.217.25448.167.217.255254
21948.167.218.0/2448.167.218.1 to 48.167.218.25448.167.218.255254
22048.167.219.0/2448.167.219.1 to 48.167.219.25448.167.219.255254
22148.167.220.0/2448.167.220.1 to 48.167.220.25448.167.220.255254
22248.167.221.0/2448.167.221.1 to 48.167.221.25448.167.221.255254
22348.167.222.0/2448.167.222.1 to 48.167.222.25448.167.222.255254
22448.167.223.0/2448.167.223.1 to 48.167.223.25448.167.223.255254
22548.167.224.0/2448.167.224.1 to 48.167.224.25448.167.224.255254
22648.167.225.0/2448.167.225.1 to 48.167.225.25448.167.225.255254
22748.167.226.0/2448.167.226.1 to 48.167.226.25448.167.226.255254
22848.167.227.0/2448.167.227.1 to 48.167.227.25448.167.227.255254
22948.167.228.0/2448.167.228.1 to 48.167.228.25448.167.228.255254
23048.167.229.0/2448.167.229.1 to 48.167.229.25448.167.229.255254
23148.167.230.0/2448.167.230.1 to 48.167.230.25448.167.230.255254
23248.167.231.0/2448.167.231.1 to 48.167.231.25448.167.231.255254
23348.167.232.0/2448.167.232.1 to 48.167.232.25448.167.232.255254
23448.167.233.0/2448.167.233.1 to 48.167.233.25448.167.233.255254
23548.167.234.0/2448.167.234.1 to 48.167.234.25448.167.234.255254
23648.167.235.0/2448.167.235.1 to 48.167.235.25448.167.235.255254
23748.167.236.0/2448.167.236.1 to 48.167.236.25448.167.236.255254
23848.167.237.0/2448.167.237.1 to 48.167.237.25448.167.237.255254
23948.167.238.0/2448.167.238.1 to 48.167.238.25448.167.238.255254
24048.167.239.0/2448.167.239.1 to 48.167.239.25448.167.239.255254
24148.167.240.0/2448.167.240.1 to 48.167.240.25448.167.240.255254
24248.167.241.0/2448.167.241.1 to 48.167.241.25448.167.241.255254
24348.167.242.0/2448.167.242.1 to 48.167.242.25448.167.242.255254
24448.167.243.0/2448.167.243.1 to 48.167.243.25448.167.243.255254
24548.167.244.0/2448.167.244.1 to 48.167.244.25448.167.244.255254
24648.167.245.0/2448.167.245.1 to 48.167.245.25448.167.245.255254
24748.167.246.0/2448.167.246.1 to 48.167.246.25448.167.246.255254
24848.167.247.0/2448.167.247.1 to 48.167.247.25448.167.247.255254
24948.167.248.0/2448.167.248.1 to 48.167.248.25448.167.248.255254
25048.167.249.0/2448.167.249.1 to 48.167.249.25448.167.249.255254
25148.167.250.0/2448.167.250.1 to 48.167.250.25448.167.250.255254
25248.167.251.0/2448.167.251.1 to 48.167.251.25448.167.251.255254
25348.167.252.0/2448.167.252.1 to 48.167.252.25448.167.252.255254
25448.167.253.0/2448.167.253.1 to 48.167.253.25448.167.253.255254
25548.167.254.0/2448.167.254.1 to 48.167.254.25448.167.254.255254
25648.167.255.0/2448.167.255.1 to 48.167.255.25448.167.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses